summaryrefslogtreecommitdiffstats
path: root/system/cpulimit/cpulimit.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/cpulimit/cpulimit.SlackBuild')
-rw-r--r--system/cpulimit/cpulimit.SlackBuild66
1 files changed, 66 insertions, 0 deletions
diff --git a/system/cpulimit/cpulimit.SlackBuild b/system/cpulimit/cpulimit.SlackBuild
new file mode 100644
index 0000000000..cc6329e9de
--- /dev/null
+++ b/system/cpulimit/cpulimit.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for cpulimit
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+PRGNAM=cpulimit
+VERSION=${VERSION:-1.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Apply a patch from the Debian folks that fixes a segfault
+patch -p1 --verbose < $CWD/patches/02_segfault_longoptions.patch
+
+sed -i "s/-O2/$SLKCFLAGS/" Makefile
+make
+install -D -m 0755 -s cpulimit $PKG/usr/bin/cpulimit
+
+# Generated with: help2man --version-option="--help" ./cpulimit > cpulimit.1
+mkdir -p $PKG/usr/man/man1
+gzip -9c $CWD/manpages/cpulimit.1 > $PKG/usr/man/man1/cpulimit.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}